dofile( "data/scripts/lib/utilities.lua" )

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed(pos_x + GameGetFrameNum(), pos_y + GameGetFrameNum())

local random_time = Random(40,300)

EntityAddComponent( entity_id, "LuaComponent", 
{ 
    script_source_file="mods/spellbound_bundle/files/scripts/projectiles/hell_fire.lua",
    execute_every_n_frame=random_time,
    remove_after_executed="1",
})  